<?php
require 'AbstractUIGenerator.php';
require 'ActionQuantik.php';
require 'ArrayPieceQuantik.php';
require 'PieceQuantik.php';
require 'PlateauQuantik.php';
require 'Player.php';
require 'QuantikGame.php';
require 'QuantikUIGenerator.php';

session_start();
if(isset($_SESSION["partie"])){
    // Game en cours
    echo QuantikUIGenerator::getPageSelectionPiece($_SESSION["partie"], $_SESSION["partie"]->currentPlayer);
} else{
    // New Game
    $adrien = new Player("Adrien", PieceQuantik::WHITE);
    $bg = new Player("BG", PieceQuantik::BLACK);
    $game = new QuantikGame(array($adrien, $bg));
    $_SESSION["partie"] = $game;
    echo QuantikUIGenerator::getPageSelectionPiece($_SESSION["partie"], $_SESSION["partie"]->currentPlayer);
}